MCL_OPEN(2)

NAME
mcl_open - open an MCL (MultiCast Library) session

SYNOPSIS

#include "../src/common/mcl_lib_api.h" int mcl_open (const char* mode);

DESCRIPTION
Mode can be w to open an MCL sending session (i.e. to be a source), r to open an MCL receiving session (i.e. to receive data). Two other mode, wr and rw exist in cases where you want to do both. The order is important. In wr mode, the session is essentially a sending session, while in rw mode the session is essentially a receiving session. Their use is still a bit experimental.

RETURN VALUE
On success returns an MCL identifier, that will be used thenafter in all mcl functions, on error a negative (< 0) value. Note that the MCL identifier is unique in the system file descriptor space to avoid any possible confusion.

EXAMPLE
Here is a simple example to open an MCL session as a source.
        int     id;
        if ((id = mcl_open("w")) < 0) {
                printf("ERROR: mcl_open failed);
                exit(-1);
        }

COPYRIGHTS
Copyright (c) 1999-2003 INRIA - Universite Paris 6 -
All rights reserved
(main author: Vincent Roca - vincent.roca@inrialpes.fr)
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

SEE ALSO
MCL documentation

AUTHORS
Vincent Roca (INRIA Rhone-Alpes, Planete project) $Id: mcl_open.man.2,v 1.2 2003/05/20 16:18:31 roca Exp $